%define oname kde-gtk-config

Summary:	Plasma 5 GTK2 and GTK3 configuration module
Name:		plasma5-%{oname}
Version:	5.7.2
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5archive-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5newstuff-devel
BuildRequires:	pkgconfig(atk)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(pango)
Conflicts:	kde-gtk-config < 5.0
# Prefer plasma5 prefix for Plasma 5 core packages
Obsoletes:	kde-gtk-config-kf5 < 5.2.1-2

%description
Plasma 5 GTK2 and GTK3 configuration module.

Configuration dialog to adapt GTK applications appearance to your taste
under Plasma 5. Among its many features, it lets you:
- Choose which theme is used for GTK2 and GTK3 applications.
- Tweak some GTK applications behaviour.
- Select what icon theme to use in GTK applications.
- Select GTK applications default fonts.
- Easily browse and install new GTK2 and GTK3 themes.

%files -f %{oname}.lang
%{_kde5_datadir}/kcm-gtk-module/preview.ui
%{_kde5_iconsdir}/hicolor/*/apps/kde-gtk-config.*
%{_kde5_libexecdir}/gtk_preview
%{_kde5_libexecdir}/gtk3_preview
%{_kde5_libexecdir}/reload_gtk_apps
%{_kde5_services}/kde-gtk-config.desktop
%{_kde5_sysconfdir}/xdg/cgcgtk3.knsrc
%{_kde5_sysconfdir}/xdg/cgcicon.knsrc
%{_kde5_sysconfdir}/xdg/cgctheme.knsrc
%{_qt5_plugindir}/kcm_kdegtkconfig.so

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{oname}


%changelog

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (8f52b98) New version 5.7.2


